org.apache.xalan.transformer

## Class ResultNameSpace

- java.lang.Object
- - org.apache.xalan.transformer.ResultNameSpace

    public class ResultNameSpace
    extends java.lang.Object

A representation of a result namespace. One of these will be pushed on the result tree namespace stack for each result tree element.

Usage:
  **For internal use only**

### Field Summary

Fields
`ResultNameSpace` `m_next` Pointer to next ResultNameSpace
`java.lang.String` `m_prefix` Prefix of namespace
`java.lang.String` `m_uri` Namespace URI

### Constructor Summary

Constructors
Constructor and Description
`ResultNameSpace(java.lang.String prefix, java.lang.String uri)` Construct a namespace for placement on the result tree namespace stack.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_next

    public ResultNameSpace m_next

Pointer to next ResultNameSpace

#### m_prefix

    public java.lang.String m_prefix

Prefix of namespace

#### m_uri

    public java.lang.String m_uri

Namespace URI

### Constructor Detail

#### ResultNameSpace

    public ResultNameSpace(java.lang.String prefix,
                   java.lang.String uri)

Construct a namespace for placement on the result tree namespace stack.

Parameters:
  `prefix` - of result namespace
  `uri` - URI of result namespace